TOPIC: New Rapidclipse 3.1 update - JasperReports
1 week 5 days ago #1010
Hallo Team,

Ich habe versucht einen JasperReport einzubinden. Sobald ich allerdings ein jrxml File nach Ressources verschiebe bekomme ich folgende Fehlermeldung:
Class net.sf.jasperreports.engine.xml.JRReportSaxParserFactory should be compatible with net.sf.jasperreports.engine.xml.JRSaxParserFactory. Employee_A4.jrxml /WebContent/WEB-INF/resources/reports line 0 JRXML Problem


Ich habe Eclipse bzw. Rapidclipse via update aktualisiert.... was ist hier das Problem?
The topic has been locked.
1 week 2 days ago #1024
Hallo Josef,

vielen Dank für Ihr Feedback.

Leider konnten wir das Problem noch nicht reproduzieren. Wie genau haben Sie die .jrxml Datei verschoben? Innerhalb vom Project Management? Project Explorer? Von Ihrem Dateisystem in das Project Management? Per Drag'n'Drop?

Vielen Dank im Voraus.

Mit freundlichen Grüßen,
RapidClipse Team
The topic has been locked.
1 week 1 day ago #1037
Hallo,

ich hab leider das gleiche Problem.

Ich hab allerdings keine Datei verschoben. Die Fehlermeldung zeigt er mir sowol bei bestehenden Reports an, als auch bei neu erstellten.
Die bestehenden Reports wurde im Rahmen der Level 4 Schulung erstellt.
Die neuen Reports wurden so wie in der Doku beschreiben erstellt, also Reporting Facet hinzugefügt, etc.

Bekomme exakt die gleiche Fehlermeldung!
The topic has been locked.
1 week 1 day ago #1041
Hallo zusammen,

der Fehler kommt zustande, weil zwei Frameworks gleichzeitig einen Konflikt verursachen. Wir vermuten, dass Sie bereits früher über die POM.xml JasperReports eingebunden haben und mit dem Update wird in 3.1 eine Jasper Version im Framework bereits mit ausgeliefert. Entfernen Sie einfach die manuell eingefügt Version in der POM.xml und es sollte funktionieren.

RapidClipse Team
The topic has been locked.
1 day 15 hours ago #1063
Hallo,

Nach ein paaar mal Rapidclipse neu starten und update maven.... ist der Fehler nun verschwunden.
The topic has been locked.